//
//  FingerDrawForImageViewController.m
//  FingerDrawForImage
//
//  Created by 유동근 on 09. 04. 27.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "FingerDrawForImageViewController.h"
#import "MyUIImageView.h"

@implementation FingerDrawForImageViewController



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

-(UIView*)viewForZoomingInScrollView:(UIScrollView*)scrollView
{
	return _imageView;
}

-(void)scrollViewDidEndZooming:(UIScrollView*)scrollView withView:(UIView*)view atScale:(float)scale
{
}

// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
//	[[UIApplication sharedApplication] setStatusBarHidden:YES animated:YES];    
	UIScreen* screen = [UIScreen mainScreen];
	CGRect frame = [screen applicationFrame];
	
	UIImage* img = [UIImage imageNamed:@"sample.jpg"];
	MyUIImageView* imageView = [[MyUIImageView alloc] initWithImage:img];
	[imageView setUserInteractionEnabled:YES];
	CGSize imgSize = [img size];
	[img release];
	
	_imageView = imageView;
	[_imageView retain];
	
	UIScrollView* scrollView = [[UIScrollView alloc] initWithFrame:frame];
	[scrollView setScrollEnabled:YES];
	[scrollView setContentSize:imgSize];
	[scrollView addSubview:imageView];
	[imageView release];
	[scrollView setMaximumZoomScale:2.0f];
	[scrollView setMinimumZoomScale:0.5f];
	[scrollView setDelegate:self];
	self.view = scrollView;
	[scrollView release];
}

-(BOOL)shouldAutorotateToInterfaceOrientation:
			(UIInterfaceOrientation)interfaceOrientation
{
//	if (interfaceOrientation == UIInterfaceOrientationPortrait ||
//		interfaceOrientation == UIInterfaceOrientationLandscapeLeft)
//		return YES;
//	else
//		return NO;
}

-(void)willRotateToInterfaceOrientation:
			(UIInterfaceOrientation)toInterfaceOrientation 
			duration:(NSTimeInterval)duration
{
}
/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
	[_imageView release];
	_imageView = nil;
}

@end
