//
//  FingerDrawForImageAppDelegate.m
//  FingerDrawForImage
//
//  Created by 유동근 on 09. 04. 27.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "FingerDrawForImageAppDelegate.h"
#import "FingerDrawForImageViewController.h"

@implementation FingerDrawForImageAppDelegate

@synthesize window;
@synthesize viewController;


- (void)applicationDidFinishLaunching:(UIApplication *)application {    
    
    // Override point for customization after app launch   
	NSMutableArray* controllers = [[NSMutableArray alloc] init];
	
	//----------------------------------------------------------------------------	
	navigationController = [[UINavigationController alloc] 
							initWithRootViewController:viewController];
	UIImage* tabimage = [UIImage imageNamed:@"tabbar1.png"];
	navigationController.tabBarItem.image = tabimage;
	[controllers addObject:navigationController];
	//----------------------------------------------------------------------------	
	UIImagePickerController* imagePicker = [[UIImagePickerController alloc] init];
	imagePicker.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
	imagePicker.title = @"사진 앨범";
//	imagePicker.allowsImageEditing = YES;
	imagePicker.delegate = viewController;
	[controllers addObject:imagePicker];
	imagePicker.tabBarItem.image = [UIImage imageNamed:@"tabbar2.png"];
	[imagePicker release];
	//----------------------------------------------------------------------------	
	tabBarController = [[UITabBarController alloc] init];
	tabBarController.viewControllers = controllers;
	[controllers release];
	
	//	[window addSubview:viewController.view];
    //  [window addSubview:navigationController.view];
	[window addSubview:tabBarController.view];
    [window makeKeyAndVisible];
}


- (void)dealloc {
	[tabBarController release];
	[navigationController release];
    [viewController release];
    [window release];
    [super dealloc];
}


@end
