//
//  PassometerViewController.m
//  Passometer
//
//  Created by 유동근 on 09. 06. 14.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "PassometerViewController.h"

@implementation PassometerViewController



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

- (void)loadView {
	[super loadView];
	[[UIAccelerometer sharedAccelerometer] setDelegate:self];
	n = 0;
}

- (void)accelerometer:(UIAccelerometer *)accelerometer 
		didAccelerate:(UIAcceleration *)acceleration {
	static NSTimeInterval curr = 0;
	if ([acceleration y] < -1 &&
		0.3f < ([[NSDate date] timeIntervalSince1970] - curr)) {
		n++;
		curr = [[NSDate date] timeIntervalSince1970];
	}
	
	NSString* walkConunt = [NSString stringWithFormat:@"카운트 : %d",n];
	count.text = walkConunt;
	NSLog(@"%f, %f, %f, n = %d, %f\n", [acceleration x], [acceleration y], [acceleration z], n, curr);
}

- (IBAction)reset {
	n = 0;
	count.text = @"";
}


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}

@end
