//
//  main.m
//  WordBook
//
//  Created by 유동근 on 09. 05. 26.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

void WriteFile ();

int main(int argc, char *argv[]) {
 //   WriteFile ();
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
    int retVal = UIApplicationMain(argc, argv, nil, nil);
    [pool release];
    return retVal;
}

void WriteFile ()
{
	NSMutableArray *books = [NSMutableArray new]; 
	int i; 
	for (i = 0; i < 3; i++) 
	{ 
		NSMutableDictionary *book = [NSMutableDictionary new]; 
		[books addObject:book]; 
		NSString *title = [NSString stringWithFormat:@"War and Peace Volume %d", i+1]; 
		[book setObject:@"Leo Tolstoy" forKey:@"Author"]; 
		[book setObject:title forKey:@"Title"]; 
		[book setObject:[NSNumber numberWithInt:3000] forKey:@"Number Available"]; 
		[book setObject:[NSNumber numberWithDouble:0.7] forKey:@"Weight"]; 
		[book setObject:[NSNumber numberWithBool:YES] forKey:@"In Stock"]; 
		NSDate *date = [NSDate date]; 
		[book setObject:date forKey:@"Date Received"]; 
	}
	
	NSString* path = [[NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) objectAtIndex:0] 
						stringByAppendingString:@"/test.plist"];

	//---------------------------------------------------------
	BOOL success = [books writeToFile:path atomically:NO]; 
	if (success == NO) 
	{ 
		NSLog(@"failed saving the XML plist file"); 
	} 
	//---------------------------------------------------------
	NSString *error; 
	NSData *xmlData = [NSPropertyListSerialization dataFromPropertyList:books format:NSPropertyListXMLFormat_v1_0 errorDescription:&error]; 
	if(xmlData) 
	{ 
		path = [[NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) objectAtIndex:0] 
				stringByAppendingString:@"/test1.plist"];
		NSLog(@"No error creating XML data."); 
		[xmlData writeToFile:path atomically:YES]; 
	} 
	else 
	{ 
		NSLog(error); 
		[error release]; 
	}
	//----------------------------------------------------------
	books = [NSMutableArray arrayWithContentsOfFile:path];
	NSMutableDictionary *dict = [books objectAtIndex:0];
	NSArray *keys = [dict allKeys]; 
	for (NSString *key in keys) 
	{ 
		NSLog(@"%@", key); 
		NSObject *value = [dict objectForKey:key]; 
		if (value != nil) 
		{ 
			NSString *class = [[value class] description]; 
			NSLog(@"%@", class); 
			if ([class isEqualTo:@"NSCFNumber"]) 
			{ 
				NSNumber *num = (NSNumber *)value; 
				NSLog(@"%@", num); 
				if ([key isEqualToString:@"Birthdate"]) // we know it's a birthdate. this is for example purposes 
				{ 
					[dict setObject:[NSNumber numberWithDouble:1564.0] forKey:key]; 
				} 
			} 
		} 
	} 
	
}