//
//  main.m
//  setterAttribute
//
//  Created by ??? on 09. 04. 20.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <Cocoa/Cocoa.h>

//------------------------------------------------------------
@interface theClass : NSObject
{
	int valueVar;
	int valueVar2;
	NSString* refVar;
}

@property(assign) int valueVar;
@property(retain) NSString* refVar;
@property(nonatomic) int valueVar2;
-(void)dealloc;
-(void)display;
@end

//------------------------------------------------------------
@implementation theClass

@synthesize valueVar;
@synthesize valueVar2;
@synthesize refVar;

-(void)dealloc
{
	[refVar release];
	[super dealloc];
}

-(void)display
{
	printf ("refVar = %s\n", [refVar UTF8String]);
}

@end

//------------------------------------------------------------


int main(int argc, char *argv[])
{
	theClass* pobj = [[theClass alloc] init];
	NSString* refVar = [NSString stringWithFormat:@"Hello"];
	int valueVar = 10;
	[pobj setValueVar:valueVar];
	valueVar = 20;
	printf("valueVar = %d, theClass valueVar = %d\n", 
		   valueVar, [pobj valueVar]);
	printf("refVar reference count = %d\n", 
		   [refVar retainCount]);
	pobj.refVar = refVar;
	printf("refVar reference count = %d\n", 
		   [refVar retainCount]);
	[refVar release];
	refVar = nil;
	[pobj display];	
	[pobj release];
	
	return 0;
}
