#import "EditPersonViewContoller.h"

@implementation EditPersonViewContoller
@synthesize cellEditing;

-(id)initWithNibName:(NSString*)nibName 
			 andCell:(UITableViewCell*) cell {
	if (self = [super initWithNibName:nibName bundle:nil]) {
		self.cellEditing = cell;
	}
	return self;
}
-(void)loadView {
	[super loadView];
	UIBarButtonItem* buttonItem = [[[UIBarButtonItem alloc] 
									initWithTitle:@"완료" 
									style:UIBarButtonItemStylePlain 
									target:self 
									action:@selector(goComplete)] 
								   autorelease]; 
	[[self navigationItem] setRightBarButtonItem:buttonItem animated:YES]; 
	self.title = cellEditing.text;	
	tableView.dataSource = self;
	
	NSArray* nameAndDate = [self.cellEditing.text componentsSeparatedByString:@"\t"];
	NSDateFormatter* dateFormatter = [[[NSDateFormatter alloc] init]
									  autorelease];
	[dateFormatter setDateFormat:@"yyyy-MM-dd"];
	[birthDay setDate:[dateFormatter dateFromString:[nameAndDate objectAtIndex:1]]];
}
-(void)goComplete {
	NSDateFormatter* dateFormatter = [[[NSDateFormatter alloc] init]
									  autorelease];
	[dateFormatter setDateFormat:@"yyyy-MM-dd"];
	NSString* cellText = [name.text stringByAppendingString:@"\t"];
	cellEditing.text = [cellText stringByAppendingString:
						[dateFormatter stringFromDate:birthDay.date]];
	[self.navigationController popViewControllerAnimated:YES];
}
-(NSInteger)numberOfSectionsInTableView:(UITableView*)tableView {
	return 1;
}
-(NSInteger)tableView:(UITableView*)tableView
		numberOfRowsInSection:(NSInteger)section {
	return 1;
}
-(UITableViewCell*)tableView:(UITableView*)tableView cellForRowAtIndexPath:(NSIndexPath*) indexPath {
	UITableViewCell* cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero
									   reuseIdentifier:@"one"] autorelease];
	cell.text = @"이름";
	
	NSArray* nameAndDate = [self.cellEditing.text componentsSeparatedByString:@"\t"];
	[name setFrame:CGRectMake(74, 10, 200, 26)];
	name.delegate = self;
	name.text = [nameAndDate objectAtIndex:0];
	
	[cell addSubview:name];
	
	return cell;
}

- (BOOL)textFieldShouldReturn:(UITextField *)theTextField { 
	[theTextField resignFirstResponder]; 
	return YES; 
} 

-(void)dealloc
{
	[cellEditing release];
	[super dealloc];
}
@end
