//
//  MyUIView.m
//  FingerDraw
//
//  Created by 유동근 on 09. 04. 22.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "MyUIView.h"

@implementation MyUIView

@synthesize touches;

- (id)initWithFrame:(CGRect)frame {
	if((self = [super initWithFrame:frame])) {
	}
	
	return self;
}

- (void)drawRect:(CGRect)rect {
	CGContextRef context = UIGraphicsGetCurrentContext();
	CGFloat gray[4] = {0.5f, 0.5f, 0.5f, 1.0f};
	CGContextSetStrokeColor(context, gray);
	for (UITouch* touch in self.touches)
	{
		CGPoint pt = [touch locationInView:self];
		CGRect  rc = CGRectMake(pt.x-20, pt.y-20, 40.0f, 40.0f);
		CGContextAddEllipseInRect (context, rc);
	}
	CGContextStrokePath(context);
}

-(void) touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{
//	UIAlertView* alert = [[UIAlertView alloc] initWithTitle:@"터치" 
//							 message:@"뷰를 터치했습니다." 
//							 delegate:nil 
//							 cancelButtonTitle:nil 
//							 otherButtonTitles:@"확인", nil]; 
//	[alert show]; 
//	[alert release]; 
	self.touches = [event allTouches];
	[self setNeedsDisplay];
}

-(BOOL) isMultipleTouchEnabled
{
	return YES;
}

- (void)dealloc {
    [super dealloc];
	[touches release];
	touches = nil;
}


@end
