//
//  FingerDrawViewController.m
//  FingerDraw
//
//  Created by 유동근 on 09. 04. 22.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "FingerDrawViewController.h"
#import "MyUIView.h"

@implementation FingerDrawViewController



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	UIScreen* screen = [UIScreen mainScreen];
	CGRect frame = [screen applicationFrame];

	MyUIView* myUIView = [[MyUIView alloc] initWithFrame:frame];
	myUIView.backgroundColor = [UIColor whiteColor];
	self.view = myUIView;
	[myUIView setMultipleTouchEnabled:YES];
	[myUIView release];
}

- (void)touchesBegan:(NSSet*)touches withEvent:(UIEvent*)event
{
	UIAlertView* alert = [[UIAlertView alloc] initWithTitle:@"터치" 
											  message:@"뷰를 터치했습니다."
											  delegate:nil 
											  cancelButtonTitle:nil
											  otherButtonTitles:@"확인", nil];
	[alert show];
	[alert release];
}

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}


// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return YES;
}

-(void)willRotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration
{
	[super willRotateToInterfaceOrientation:toInterfaceOrientation duration:duration];
}

- (void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation)fromInterfaceOrientation
{
	[super didRotateFromInterfaceOrientation:fromInterfaceOrientation];
}

- (void)viewDidAppear:(BOOL)animated
{
	[super viewDidAppear:animated];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}
*/

- (void)dealloc {
    [super dealloc];
}

@end
