#import "ColorViewController.h"
#import "FingerDrawForImageViewController.h"
#import "MyUIView.h"

@implementation ColorViewController
-(void) touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{
	UITouch*	touch = [touches anyObject];
	UIView*		view = [touch view];
	if (view != self.view)
	{
		CGColorRef color = [[view backgroundColor] CGColor];
		NSArray* viewControllers = [self.navigationController viewControllers];
		FingerDrawForImageViewController* viewController = 
		(FingerDrawForImageViewController*) [viewControllers objectAtIndex:0];	// self.navigationController topViewController];
		UIView* imageView = [viewController 
							 viewForZoomingInScrollView:(UIScrollView*) viewController.view];
		MyUIView* view = (MyUIView*) [[imageView subviews] objectAtIndex:0];
		[view setColorPen:color];
	}
}
@end
